Get Keyword List
This endpoint fetches Keyword List(s).
HTTP Request
Section titled “HTTP Request”GET https://adelion.com/api/kwlist/get| Parameter | Type | Description | Requirement |
|---|---|---|---|
| Id | int | Keyword list ID, if sent, request will fetch Keyword List with exact ID, otherwise it fill fetch all keyword lists. | optional |
| ActiveOnly | int | Request will fetch only active keyword lists if set to 1, otherwise it fill fetch all keyword lists. | optional |
To get Keyword List, send query parameter like this: Id=1
Or if you want to get all keyword lists, don’t include Id parameter, or set it as 0.
Response
Section titled “Response”{ "Id": 1, "TeamId": 1, "Name": "Keyword List 1", "KeywordCount": 5, "Status": 0, "StatusString": "Active"}[ { "Id": 1, "TeamId": 1, "Name": "Keyword List 1", "KeywordCount": 5, "Status": 0, "StatusString": "Active" }]Failure
Section titled “Failure”{ "Status": "Error", "Error": "[error description]"}| Code | Status | Meaning |
|---|---|---|
401 | Unauthorized | Your access token is invalid. |
406 | Not Acceptable | One or more JSON values are missing or malformed, or the requested object was not found. |
500 | Internal Server Error | The server encountered a problem. Try again later. |